X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

My smartphone Samsung Galaxy Music Duos S6012. It's been released in Dec. 2012 but no support for firefox for mobile. Will it be supported ?

Posted

I use Firefox on my desktop and love it. Would love to have it on my smartphone Samsung Galaxy Music Duos S6012. However my smartphone is not supported by firefox. Any changes of it being supported in near future ?

Thanks and Regards Shriram

Additional System Details

Application

  • User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:17.0) Gecko/17.0 Firefox/17.0

More Information

AaronMT 31 solutions 242 answers

Do you see Firefox or Firefox Beta on the Google Play store?

If not, can you install https://play.google.com/store/apps/details?id=nl.svdree.glesinfo and let us know which OpenGL ES version is listed in the 1.x or 2.x tab?

OpenGL ES 2.x is a hard requirement and that might be the reason you may or not may not be able to use Firefox for Android on your device.

Modified by AaronMT

Question owner

Thanks Aron for the reply...

From my smartphone, when I visit google play and search for firefox, both firefox as well as firefox beta are not visible... When I search on my desktop both are visible but saying my device is not supported...

I installed the OpenGL-ES Info app. But when I run it on my device, I just get blank screen with name of the application (OpenGL-ES Info) on top...

No info about OpenGL is displayed... My smartphone has got Ice-cream sandwitch 4.0.4 and it is upgradable to Jelly Bean 4.1

I than installed OpenGLES Extensions Viewer app from google play which displayed the OpenGL details.. Below are the details :

Android Version: 4.0.4 samsung rhea(ARMv7 Processor rev9(v7I) 1 CPU(s) Resolution: 240x320 Screen Size: LARGE SMALL Version : OpenGL ES 2.0 Shading Language: OpenGL ES GLSL ES 1.00 Renderer: VideoCore IV HW Vendor: Broadcom EGL Vendor: Android EGL Version: 1.4 Android META-EGL Max. texture cube map:2048 Max. vertex attribs: 8 Max. texture image units: 8 Max. vertex texture image units: 8 Max. shader binary formats:0 Read color format: 6408 REad color type: 5121 Max. render buffer size: 2048 Max. combined texture image units: 8 Max. varying vectors: 8 Max. vertex uniform vectors: 256 Max. fragment uniform vectors: 256 Num. compressed texture formats:11 Max. texture anisotropy: 0 EGL_KHR_image . . . GL_APPLE_rgb_422

Looks like my smartphone has got OpenGL ES 2.0 from the above output... Why firefox is not supported in that case ?

Is that anything to do with Shading Language: OpenGL ES GLSL ES 1.00 ???

Thanks & Regards Shriram

Modified by shriram.fowkar

Question owner

Hi Aron,

Any chances of my smartphone (Samsung Galaxy Music Duos - S6012) being supported by firefox ?

As you have said OpenGL 2.x is a must and it is there on my smartphone but still it is saying not supported on google play...

I have pasted the OpenGL output in my previous reply....

Thanks & Regards Shriram

kbrosnan
  • Top 25 Contributor
  • Moderator
248 solutions 1751 answers

According to http://www.gsmarena.com/samsung_galaxy_music_duos_s6012-5027.php the phone has a smaller screen than we are currently supporting QVGA vs HVGA.

https://blog.mozilla.org/futurereleases/2013/01/11/firefox-for-android-beta-adds-additional-armv6-support/

Question owner

Thanks brosnan for the reply.... Hope soon there will be support for my smartphone too... Till that time I have to use UC Browser which I am currently using....

My Smartphone has Arm7 Cotex 9 Processor and yes 3" screen...(320x240)...

Regards Shriram

Modified by shriram.fowkar